# Navidrome - Music server
# Port: 4533
# Personal music streaming server

version: "3"
services:
  navidrome:
    image: deluan/navidrome:latest
    user: 0:0 # should be owner of volumes
    ports:
      - "4533:4533"
    restart: unless-stopped
    environment:
      # Optional: put your config options customization here. Examples:
      ND_SCANSCHEDULE: 1h
      ND_LOGLEVEL: info
      ND_SESSIONTIMEOUT: 24h
      ND_BASEURL: ""
    volumes:
      - "/root/docker/navidrome:/data"
      - "/root/plex/:/music:ro"
